Updates in 1991
Changes
 -------------
 o The convention for VOR Windturbines was decided to "face" (nacelle direction) the heading direction.
 o Additional documentation added to the user manual.
 o Elevation Angle is currently disabled in ILS3 approaches.  We are working on a way to correctly represent the deviations when overflying or underflying  glideslope.
Bug Fixes
 -------------
 o Better detection and warning for Complex Ellipses with invalid parameters.
 o The Complex Ellipse tilted plate height checkbox was not working.
 o VOR Pull From Image (Vertical) used a red and blue axis, but scatterers were aligned with the green axis.  This has been updated to align with the red axis.
 o VOR Iteration Pull from image would not spawn the window.  Behavior should now match other pull from image windows.
 o Fixed an issue where if save dialog prompt was disabled it would bypass running the simulation.
 o The Ground Elevation Iterator was accidently synced with the Z iterator in VOR scatterers.  It should now be independent.
 o The Ground Elevation Iterator of VOR scatterers should now have a visual depiction.
 o In VOR mode the GUI defaulted to Magnetic North, but the internal data layer defaulted to True North.  These were out of sync until the user interacted with the GUI.  It should now be working as intended.
 o VOR Scatterers were not cloning the rotation anchor, so rotations appeared in the virtual world, but were not affecting results.  This is fixed.
New Features
 -------------
 o Sub-Titles Now Persist Between Runs
 o Iteration results table should now be sortable
 o Added a selftest for the FIAPA Filters (in the help menu)
Known Issues:
 -------------
 o For very small latitudes and longitudes there is a display bug where the e-4 is missing.


Updates in 1990
New Features
 -------------
 o A new set of filters has been added (FIAPA)
 oo It is set to the default, and the old one is has been disabled.

Updates in 1989b
Bug Fixes
 -------------
 o Contour Plots had red and blue color channels swapped.  This was fixed.
 o There was an issue with ILS1 and 2 glideslope approaches if differential correction was not set to none, -- it should not be settable for these flight types.
 o Fixed an issue where some users could not load the ILS .dll for glideslopes.
 o Fixed a bug where promptFileName user preference would stop things from running

Updates in 1988
New Features
  -------------
  o Added a Combobox in the Traces that allows the user to decide if they want to disable differential correction on the plots.

Update in 1986
Bug Fixes
  -------------
  o Contour Plots are back.
  o Grid is back.
  o Iteration points are colorized again.
  o Colorization on antennas is fixed. 
  o Previously, if you switch traces from one unit, to another, back to the first will make the plot not appear. This should be resolved.

Known Issues:
  -------------
  o Sometimes you have to run VOR plots twice to make them plot.

Updates in 1985
Bug Fixes
  -------------
  o VOR Wire scatterers should position correctly in the virtual world.
  o VOR Default Plots were sometimes wrong if you had mixed flight types, should be fixed.
  o Hide/Show Normals should work again in the virtual world.
  o Virtual world was missing some .dlls which made it not load for some users.

Interface Changes
  -------------
  o New combo box to run doppler only, signal only, of both.

Known Issues
  -------------
  o Contour plots currently aren't working as we update to an API that is Java 11+ compliant. 
  o Grid appears to have disappeared in virtual world.

Updates in 1984
Bug Fixes
  -------------
  o Distributing updated .dlls with the visualization
  o Fixed an issue with VOR Scatterers that may have prevented one from opening them in the editor

Updates in 1983
General Changes
  -------------
  o Selex arrays have been renamed to start with Selex.
New Features
  -------------
  o The Bing Maps API Key is now distributed with the release.
  o The right shift key should now also translate the camera backwards.
Bug Fixes
  -------------
  o Scatter table is now properly anchored to the bottom of the window, so larger windows can see more rows.
  o Fixed an issue with loading Group iterators for VOR.
  o Default value for SBR GS height ratio is 3 instead of 2.
  o The VOR .dll should now support paths up to 4096 characters in length.
  o VOR group iterators should now load correctly from saved files.

Updates in 1982
Bug Fixes
  -------------
  o Pull from image now supports .gif files without selecting "All Files".
Updates in 1981
Bug Fixes
  -------------
  o In the virtual world, fixed the highlighting of scatterers when one or more scatterers higher in the list is disabled.
  o Fixed an issue with the pull from image panels where the width wouldn't correctly adjust for images larger than the default size.
  o Fixed an issue where pull from image rotations were off for VOR.
  o Fixed an issue where iterators weren't respecting the 'analyze from 0' flag.
New Features
  -------------
  o Added a box for an adjustable ILS Pt. C in the Glideslope Facility information.
  o Added a visualization of reflections from the course array over the course width, -- probably needs to be wider.
  o Pull from Image now has a feature to download orthoimagery directly from Bing Maps; currently using a shared API key.  If too many requests are generated, we may need to switch to clients using their own keys in the future.
Updates in 1980
Bug Fixes
  -------------
  o Fixed an unexpected interaction when you change the array type after changing the frequency.
  o Fixed an issue with loading files that had saved a field type other than Automatic.
  o Removed Zone 4 analysis box line for CATII when ICAO version is selected.
  o Fixed an issue with the normals of the arrays in the virtual world.
  o Fixed an issue where the visualization of user designed flight paths weren't respecting the offsets for glideslope.
New Features
  -------------
  o Added a button that lets you invert the "In Use" selection of selected scatterers.
Updates in 1979
Bug Fixes
  -------------
  o Fixed some scatterers that wouldn't load without custom materials.
  o Improved support for OpenGL 2.1 version of the visualization for older machines.

Updates in 1978
Bug Fixes
  -------------
  o Traces loaded from VB6 versions of OUNPPM should load properly.

Updates in 1977
New Features
  -------------
  o Custom materials should now work for ILS scatterers.

Updates in 1976
Bug Fixes
  -------------
  o Fixed an issue where where localizer files wouldn't load when missing a common, but optional, parameter
  o Fixed an issue where the virtual world would crash when changing the rotation anchor with more than 1 scatterer in the world
  o Fixed an issue where the glideslope auto-adjust wouldn't trigger for files loaded from VB6
  

Updates in 1975
Bug Fixes
  -------------
  o Fixed a minor lighting artefact on the grid when zoomed out.
  o Fixed a bug where the visualization would crash when sending VOR Scatterers.

Updates in 1974

Bug Fixes
  -------------
  o Normals were pointing the wrong way in the virtual world sicne 1972, fixed.
  o The final vertex in models in the virtual world were black which shaded one triangle wrongly, fixed.

Updates in 1973
Bug Fixes
  -------------
  o The switch to Visual Studio 2019 required some new .dlls to be distributed with the package.  They should now be included. 
  o The propogation wave of the antennas is now colored properly again.
Updates in 1972
New Features
  -------------
  o The visualization has been updated to be OpenGL 3.2 core compliant.  OpenGL 3.2 was released in 2009, so I think support should be ubiquitous.
  o Please alert me if you notice any crashes or unexpected changes in behavior.
  o Orthographic/Plan View now supports zoom in/out with the scroll wheel.
Bug Fixes
  -------------
  o The "Show/Hide" normals in the 3D Navigator should now be working.
Updates in 1971
Bug Fixes
  -------------
  o Fixed an issue that was preventing the VOR Plate Editor from loading.
  o DME executables are now statically linked, so they should work on systems without MinGW
  o Default values for Radial DME plots were using feed instead of nautical miles; should be easier to see your data now.
Updates in 1970
New Features
  -------------
  o Added a University mandated EULA.  This will refresh everytime the version is updated.
  o Added a copyright notice to the About window. 
  o Added a better 32 element array (NM7232-1.ldu)
Bug Fixes
  -------------
  o Was an issues with Glidelsope iteration plots crashing that has been resolved.
  o The About window was exiting the program on close.  Now it should just dispose of the window.
  o Fixed a bug in the array editor that assumed that .ldus were always saved in working units of wavelengths.
  o Some GUI changes to address issues on low resolutions
Incomplete
  ------------
  o Started adding an interface to allow people to edit the material properties, but is incomplete
Updates in 1969
Bug Fixes
  -------------
  o Y-Axis values were inverted in the iteration pull from image.
  o ILS Flight Tab order got mixed up somehow, fixed.
  o Glideslope Array Editor units were able to be selected simultaneously, this has been fixed.
  o Added a way to authenticate in the cloud in case the OUNPPM server is down.
Updates in 1968
Bug Fixes
  -------------
  o Fixed a bug that would prevent Glideslope from running with scatterers.
Updates in 1967
Interface Changes
  -------------
  o Grey out the Crs/Clr seperation when using only course or clearance, since it only has an effect when both are used.
  o Scatterer Plate and Wire Editor will now come to front even if minimized when you press the scatterer editor button.
  o Added a checkbox to enable/disable deceleration after landing in the ILS3 approach.
Bug Fixes
  -------------
  o M_ARRAY disappeared from new installations for some reason, should be back now.
Updates in 1966
New Features
  -------------
  o Computations are done relative to NAVAID ground, but scatterers are specified relative to threshold, so a new field has been added for rare cases where these are substantially different.
Bug Fixes
  -------------
  o Fixed a path in the Help->User Manual that should work on more machines.
  o Removed some deprecated Java features that may have prevented the program from loading on Java 10 and higher.

Updates in 1965
New Features
  -------------
  o Updated the shipped OUNPPM visualization to use the show/hide normals in the 3D Visualizer window.

Updates in 1964
Bug Fixes
  -------------
  o Think I fixed the bug where sometimes all the user properties would get checked after an update.
New Features
  -------------
  o Added a user property to auto-load the last active simualtion on startup.
  o Added a mechanism to authenticate against a list of authentication servers incase one the main server goes down.


Updates in 1963
Interface Changes
  -------------
  o The array editor button now pre-loads the current scenario array.
  o The edit currently selected scatterer button will now bring the window to the front.
  o Scatterer iterator frames now despawn when the box is unchecked, and a new one is brought to front when rechecked.  This will depopulated the fields, but prevents windows from getting "lost".
  
Updates in 1962
Interface Changes
  -------------
  o Disabled the "Antenna Height Ratio" for Glideslope.  This is built into the antenna type and is redundant.
Bug Fixes
  -------------  
  o Element Pattern Editor units weren't grouped properly. 
  
Updates in 1961
Bug Fixes
  -------------
  o Fixed a variety of bugs related to the lat/lon scatterer positioning.

Updates in 1960
Bug Fixes
  -------------
  o Fixed a bug introuced in 1959 for scatterers that included descriptions.

Updates in 1959
Bug Fixes
  -------------
  o Fixed a bug with plate scatterers with a space in the name.
  o Fixed a bug with the antenna editor where it would clear the array not being used.
New Features
  o Working on adding the ability to add magnetic variation offsets in VOR (work in progress)

Updates in 1958
Bug Fixes
  -------------
  o Fixed an issue that caused the virtual world not to spawn.
Updates in 1957
Bug Fixes
  -------------
  o Fixed the 90Hz and 150Hz label on ILS1 approaches.
Updates in 1954
Bug Fixes
  -------------
  o Fixed the unit on group iterators.
  o Fixed the missing icon in VOR scatterer iterators.
  o The "suppress new version warnings" should behave closer to expected.
  o Fixed an issue where spherical user defined flight paths were always loading as azimuth.
Interface changes
  -------------
  o When adjusting axes min, max, and inc values if you you use an invalid value you will now here a "ding" until the axis is in a valid state.
Updates in 1953
New Features
  -------------
  o On the iteration results listing for localizer and glideslope results, angle results
  that exceed tolerence are now in red.
  o Fixed some issues with scatterer group iterators.

Updates in 1952
NEW Features
  -------------
  o The course width in the trace list is now colored red if it doesn't match the value of the tailored course width.
BUG FIXES
  -------------
  o Fixed a bug in the vertical pull from image where plates may become wrongly colored after using the "undo" feature.
  o The course pull from file will no longer remove the clearance array elements.
  o Using the Array editor to save to an existing array will now automatically update the underlying elements, you do not need to reselect the array from the list.
  o The localizer clearance array editor now properly adds L and R elements on their respective sides of the array (course already did).
  o Fixed a graphical artefact when entering vertical and horizontal scale separately
  o Fixed a bug where Phase Iterator (and maybe others) windows wouldn't close when you click confirm.
  o Fixed an issue where orphaned iterators might appear if you change the array type when
  DU iterators have to added.
  o Fixed an issue preventing wire scatters from running in VOR mode.  
INTERFACE CHANGES
  -------------
  o Default VOR tolerences now clamp to 10% more than either the raw data or tolerences whichever is greater in magnitude.
Updates in 1951
NEW FEATURES
  -------------
  o Lat/Lng mode for scatterers is now enabled.  For ILS scatterers, it assumes the runway is facing true north, this will be updated to include the runway heading in the future.
BUG FIXES
  -------------
  o Fixed an issue in pull from image where the scale could be corrupted if the user selected a scale of 0 pixels.  This may lead to some graphical artefacts but should prevent NaN 
Updates in 1950
INTERFACE CHANGES
  -------------
  o Array Editors moved to separate windows instead of main tab.  Was confusing some users who thought it was part of the current scenario.
NEW FEATURES
  -------------
  o Main table now supports range/bearing and lat/lon modes.
  o Added a warning for wire scatterers that are shorter than 1/10 wavelength.
BUG FIXES
  -------------
  o Fixed some bugs in loading files containing iterators, particularly scatterer groups.
  o Fixed an issue loading graphs.
Updates in 1949
INTERFACE CHANGES
  -------------
  o Added an explicit wire scatterer filter to the file dialog when adding scatterers to the main table.
NEW FEATURES
  -------------
  o Added a warning when attempting to run a wire scatterer with length or diameter < .1 lamda.
  o In horizontal pull from image, you can now "clamp" the axes to 90 degree intervals by holding the 'control' key.
BUG FIXES
  -------------
  o Fixed a bug that was introduced when I added sub-titles to saved plots that broke the plot loading from iteration tables.
  o Fixed a bug that was preventing VOR iterators from loading properly from .dats
Updates in 1948
BACKEND CHANGES
  -----------
  o Fixed a weird interaction between arrays with large numbers of elements and doppler calculations in the near field.
INTERFACE CHANGES
  -----------
  o In metric units, iteration table now displays the metric values.
  o Iteration plots now default to N%
  o The Course/Clearance/Both box on the traces tab, now only contains course when a course-only array is selected.
  o Ctrl+S now opens the save dialog
NEW FEATURES
  -----------
  o You can now press Ctrl+Z to "undo" in the pull from image scatterer frames.
  o Added a "Supress New Version Warnings" user preference for those that prefer to stay at a specific version.
  o Added a checkbox to force normals the same way in vertical pull from image.
BUG FIXES
  -----------
  o In the iteration table, the rotation iterator used to always say it was for all scatterers, even when it was only for 1.
  o When entering Contour mode on the iteration plots, the legend should update properly.
  o There was a bug with VOR radials where if data was entered in orbital the old stop radial might be used
  o Fixed a similar issue with the stop radial when loading a VOR radial flight from file.
Updates in 1947
INTERFACE CHANGES
  -----------
  o Loading newly saved .gph files will preserve the title, sub-title, and extents.
  o The subtitle window now uses icons, and has a "remove sub-title" button.
NEW FEATURES
  -----------
  o Some of the 2D Iteration Plots now render the runway
BUG FIXES
  -----------
  o The "Field to Model" switch was not actually adjusting the value in the output file.  This has been fixed for both localizers and glideslopes.
  o Fixed a bug that would cause VOR iterators to be loaded twice.
  o Fixed a bug that might stop VOR iteration plots from loading.
Updates in 1946
BUG FIXES
  -----------
  o Fixed an issue that lead to iterators being in a random order after loading.  May have fixed some other subtle, related issues.
  o Some values on the UPPus panel of iterator plots were not being displayed correctly.
  o Fixed a bug that caused a display glitch in the traces tab when loading a scenario from file with more than 1 trace.
INTERFACE CHANGES
  -----------
  o When loading a scenario from file that contains traces with non-default values that usually prompt the user to change, the user will no longer be prompted, assuming they want to load the valus as saved.
Updates in 1945
BUG FIXES
  -----------
  o Updated how some numbers are parsed to avoid localization issues with commas.
Updates in 1944
  -----------
NEW FEATURES
  o Added step size to the angle iteration plots, like the structure has (will fix the bug in the angle N% legend as well).
BUG FIXES
  o Fixed tolerences issues in Zone 1
INTERFACE CHANGES
  o When you change from a dual array to a course only array or vice versa, there will be a prompt asking if you want to change the traces.
Updates in 1943
  -----------
NEW FEATURES
  o The context menu for iteration plots now has an option to add a background.
Updates in 1942
NEW FEATURES
  -----------
  o VOR plates now also have the "skip" option
BUG FIXES
  -----------
  o The "all files" filter for scatterers was prohibiting loading of files, should be resolved.
  o ellipse tilt unit was distance, has been corrected to angle
  o The VOR .dlls have improved localization, and it should no longer crash with non-English localizations
Updates in 1941
  o If the final iteration values was exactly divisible by the increment it would not be indicated in the virtual world, this has been corrected.
  o when loading scatterers in the scatterer editor "remove plate" button is now activated
NEW FEATURES
  -----------
  o The glidelsope antenna positions are now shown on the model tab when you select "As-Is"
BUG FIXES
  o The tick preservation caused some plots to crash, should be fixed now.
Updates in 1940
NEW FEATURES
  -----------
  o Traces now have the an alignment analysis option: multiple zones, reference to 0, reference to entire trace
  o Maintaining tick distances between plots should work properly
INTERFACE CHANGES
  o Tailored Course Width is now disabled for Glideslopes
BUG FIXES
  o Fixed an error in the rarely used zone 1 analysis where the tolerences were the graphical average + alignment, instead of just graphical average
Updates in 1939
NEW FEATURES
  -----------
  o Plots can now be saved to CSV files through the plot context menu.
BUG FIXES
  o Fixed an issue where when loading files, iterators with prerequisites order may not be perserved.
INTERFACE CHANGES
  o When in meters, values in the iteration table are rounded 2 decimal places.
Updates in 1938
NEW FEATURES
  -----------
  o The array editor now support pulling from course and clearance of other arrays.
Updates in 1937
NEW FEATURES
  -----------
  o The user properties now have seperate switches for hiding tolerences, zone coloring, and the analysis box in plots.
Updates in 1936
BUG FIXES
  -----------
  o The clearance frequency on glideslopes was wrongly not being made editable when capture effect glideslopes were selected.
NEW FEATURES
  -----------
  o Added a new "User Properties" to hide the zone coloration in plots.
  o The "Adjust Axes" plot property now let's the users set the tick interval as well.
Updates in 1935
BUG FIXES
   ----------
   o Horizontal Pull from Image images now fully load in the Y dimesnion even when they are too tall.
   o TCH is now always in feet
   o Pull from Image 'scales' and scatterer iterator boxes should now confirm when you press 'enter'
INTERFACE CHANGES
   ----------
   o User defined flight path domain paramater now automatically set to 'elevation' when 'spherical' coordinate system is selected.
Updates in 1934
BUG FIXES
   ----------
   o JCCBI data will now use the runway landing length instead of the physical runway length
   o JCCBI data will now properly affect both the corse and clearance arrays
NEW FEATURES
   ----------
   o In structure iteration plots, you can now set the percentage step.
Updates in 1933 - 2/14/2017
BUG FIXES
   ----------
   o Fixed an issue where "Sys Flip" was not behaving properly with scatterers not centered about 0,0
   o Fixed an issue where "Sys Flip" would crash the virtual world if more than 1 scatterer group was used.
   o Fixed an issue where "Sys Flip" would correctly change the scatterer values in the back-end, but the table would not update the displayed values.
   o Fixed an issue with the DU scatterers introduced when the iterator ordering was reversed.
Updates in 1931 - 12/8/2016
NEW FEATURES
   ----------
   o (Experimental) Added a "Switch ILS" menu item that switches from Localizer->Glideslope, or Glideslope->Localizer while perserving the Scatterer list.
Updates in 1931 - 12/8/2016
BUG FIXES
   ----------
   o Pull from Image Undo now removes box from screen.
NEW FEATURES
   ----------
   o Alternate L and R in Array Element Creator
   o Ignore leading K in JCCBI search   
   o TCH is now dynamic for glideslope.
Updates in 1930 - 10/6/2016
BUG FIXES
   ----------
   o Fixed an issue where the VOR analysis would report the wrong roughness value when bends were larger than roughness.
   o Fixed an issue where the VOR analysis roughness position would be off by a constant value.
   o Added widgets to the 3D Navigator to allow the user to enable or diable normals on scatterers in the virtual world, but not live in the virtual world yet.
Updates in 1929 - 8/4/2016
BUG FIXES
   ----------
   o VOR filter may not work when there are too few samples, a new warning has been added in these situations.
Updates in 1928 - 7/29/2016
BUG FIXES
   ----------
   o Simulations should now run as intended when the filename prompt is enabled.
NEW FEATURES
   ----------
   o A "polyline" mode has been added to horizontal scatterer pull from image.  Instructions have not been added to the user manual yet, but they are fairly straight forward: Always start with a left click (this might be fixed in the future) left click adds a point to a polyline, right click starts a new polyline.  No need to drag for polylines.
   o All plates should appear on the pull from image.
Updates in 1927 - 7/20/2016
NEW FEATURES
   ---------
   o Added an "undo" button to the pull from image scatter functionality.  Removes the most recently added row in case of an accidental click.
   o Added a checkbox to prompt for the filename every run in the new User Properties tab.
   o The 3DNav window now comes to the front if it is already open when the button is pressed.
BEHAVIORAL CHANGES
   ---------
   o Reversed the order of iterators in the selection list, so now X should come before Y in the common use case.
   o 'Calc Width' has been renamed to 'tailored course width'
   o Scatterer rotation now defaults to 'True Center'
   o Iteration plots now default to percentage.
Updates in 1925 - 6/17/2016
BUG FIXES
   ----------
   o improved the VOR filters
   oo added two filtering modes for radials
   o changed some VOR flight paths to be more like the inspection procedures
   o VOR iterators now let you iterator the ground elevation
   o VOR flight paths now have a speed, this will effect what consitutes a "bend"
   o tolerances for localizer in zone 4 and 5 are now about their own average instead of the zone 1-3 alignment
   o tolerences for glideslope zone 2 is now about the alignment
   o When using meters, angle iterators no longer convert 
Updates in 1925 - 5/1/2016
BUG FIXES
   ----------
   o Fixed an issue where the 32-bit ILS .dll would fly glidelope approaches relative to NAVAID instead of centerline.
Updates in 1924 - 5/1/2016
BUG FIXES
   ----------
   o Added "fixed precision" switches to the trace tab to emulate behavior of vb6
   o VOR Radials now draw the analysis box
   o Sub-title box now auto-populates with current sub-title
   o Cancel button in sub-title box works now
   o View Plot now prompts for PTS files
Updates in 1916 - 2/19/2016
BUG FIXES
   ----------
   o Fixed errors in metric versions of the Presets and Pull from Image where units were getting converted twice.
Updates in 1912 - 2/11/2016
BUG FIXES
   ----------
   o The Scatterer Red and Green Flip Axes buttons now flip about the global axes instead of their local axes
NEW FEATURES
   ----------
   o The VOR world scatterer table now has both a ground elevation and base elevation column.  This more closely matches the VOR scatterer itself and allows for more scatterer reusability.
Updates in 1910 - 12/2/2015
BUG FIXES
   ----------
   o 3D Visualization should work on non-OpenGL 4 hardware again.
Updates in 1909 - 10/31/2015
BUG FIXES
   ----------
   o Previously some plates were "backwards" in the ellipse preset, these should be fixed.
   o Iteration positions in the visualization should now be centered properly even with max-min = 0
NEW FEATURES
   ----------
   o A warning dialog is now shown the first time someone attempts to use the Alford Loop VOR
   o A warning dialog has been added for the ellipse preset if radii are too large for the given seperation
   o Added an entry to the plot context menu to manipulate secondary titles
   o For VOR scatters ground planes have been added to the visualization per plate
Updates in 1907
BUG FIXES
   ----------
   o Fixed an issue with SB_REF glideslope auto-positioning.
   o Fixed an anchoring issue with the glideslope bean.  Should now stay attached to the left.
Updates in 1905
BUG FIXES
   ----------
   o Fixed an issue where the "add plate" functionality of the scatterer pull from image panels would stay active when repositing the axes.
   o Amplitude and Position DU iterators now behave more like Phase DU iterators.
   o The DU iterators now refresh the iterator list properly.
   o Fixed an issue with NULL_REF glideslope auto-positioning.
----------
Updates in 1895
   NEW FEATURES
   ----------
   o Axes in Pull from Horizontal image are now Red (x) and Green (y)
   o Axes in Pull from Vertical image are now Red (x) and Blue (y/z)
----------
Updates in 1806
   BUG FIXES
   ----------
   o DME Scatterer Plates and Shadow Plates are only given to the DLL if their normal direction is within 180 degrees of the DME location. That is, plates pointing away from the DME will not affect the plots.
   o DME Plate orientations have been made consistent with expected locations in DME DLL for DME N and DME P.
   o Near zero floating point values will not overrun the Fortran data field for shadowers and scatterers now.
   o Azimuth position now matches dme position.
   NEW FEATURES
   ----------
   o Can now select all plates in scatterer editor via "Select All" button.
   o Can now capture screen shot from editor window.
   o Added in translations for scatterers.

----------
Updates in 1792
   BUG FIXES
   ----------
   o Added in "Capture Image" Button to write a PNG image to a file from the 3D World.
   
----------

Updates in 1790
   BUG FIXES
   ----------
   o Glideslope tolerance plot fixed.
   o DME/N and DME/P plates are now supported in the scatterer editor.
   o Creating an antenna array with only a course or clearance array sets the corresponding trace to only course or clearance respectively.
   o VOR plate orientation has been updated.
   o DME fixes for DME/P and DME/N.
   
----------
Updates in 1777
   BUG FIXES
   ----------
   o While in the Plate Editor, switching the plate type will affect the reference frame for VOR / ILS / DME.
   o The sky is no longer accidentally selectable, this prevents the camera from jumping very far away while holding down ALT and clicking.
   o VOR, Localizer, and Glideslope .dat files now properly load wires and plates.
   o Localizer and Glideslope plates now enforce the "In Use" check box in the main Scatterer window.
   o "Turn Camera to Object" is now functional along with "Move and Turn Camera to Object".
   o VOR orientation of plates has been fixed.   

----------   
Updates in 1771
   BUG FIXES
   ----------
   o The 3D Navigator Window is now directly accessible from within the Scatterer Window.
   o Extraneous scatterer is no longer listed within the 3D Navigator Window.
   o Updated OUNPPM User Manual.   
   
----------   
Updates in 1766
   BUG FIXES
   ----------
   o Fixed local specific issues related to running the model on different language machines.
   
----------   
Updates in 1764
   BUG FIXES
   ----------
   o Fixed issue where non English dates caused issues with the authentication server. OUNPPM dates are now encoded as locale.US.
   o Updated the user manual to include the latest revisions.
   
Updates in 1759
   BUG FIXES
   ----------
   o Fixed Flight Parameters for the Localizer and Glideslope such that:
      o ILS Approach 1/2/3 are about localizer position (offset and setback).
      o GS Approach 1/2/3 account for Glideslope setback.
   o Updated documentation.

----------
Updates in 1728
   BUG FIXES
   ----------
   o Added "Recompute Origin" Button within the Scatterer Editor. This computes the center XY point of all selected plates and re-centers them about the origin. After performing this operation, rotations about the origin will be the same as performing rotations about the selected scatterer's center point.
   o DME N has VOR-like reference frame with no runway...
   o DME P has ILS-like reference frame with runway...
   o User's manual is bundled with OUNPPM. Choose Menu "Help -> User's Manual" to open the PDF.
   o User defined flight paths are now saved relative to the working directory instead of absolute path. This is true for saving and opening LOC/GS and DME flight paths.
   o When pressing "Edit Selected" for a scatterer that is not in ./para, the SGEditor window will default the save/load to that new working folder and not ./para.
   o Fixed issue where VOR Wire simulations would not run or save properly.
   o Fixed Visualization of VOR model.   
----------

Updates in 1707
   BUG FIXES
   ----------
   o For Localizer, ILS 3 Approach Path automatically synchronizes Flight Path Stop end with runway length.
   o On the Trace tab, if one enters a value and then doesn't press enter, but switches to another tab, the entered value is lost. This is now fixed.   
   o Flight path for LOC/GS ILS 1 Orbit can't go from 0 to 360 or -180, 180 without flight path being drawn incorrectly.
   o Flight path for VOR is corrected since the Y axis is north for a VOR.
   o Added in scroll bars that let OUNPPM work on smaller screen displays.
   
----------
Updates in 1669
   BUG FIXES
   ----------
   o Visualization window no longer minimizes upon losing and regaining focus.
   o Visualization gains focus on single click now.
   
----------
Updates in 1659
   BUG FIXES
   ----------
   o VOR Flight paths now align to the updated VOR reference frame.
   o A loaded LOC/GS Array now properly updates the Clearance Width and the CLR/CRS Separation. 
   o ILS 1 Flight Approach properly visualizes flights > 180 degrees...

----------
Updates in 1642
   BUG FIXES
   ----------
   o VOR is now properly scaled to be the correct size.
   o When saving within the Scatterer Group Editor, the current in world scatterers no longer accidental appear.
   
   NEW FEATURES
   ----------
   o Any scatterers with a total dimension smaller than the model's NAVAID wavelength will generate a warning informing the user about potentially over-conservative results.
   
----------
Updates in 1620
   BUG FIXES
   ----------
   o DME "straight" flight paths, should now scale with the right units.
   o DME "striaght" flight paths now visualize properly in the visualization.
   NEW FEATURES
   ----------
   o Faces can now be selected and colored in the Scatterer Editor Window. Works for ILS, GS, VOR, DME plates.
   o The Scatterer Group Editor Window now enables plates to be rotated about their local center, threshold, and group center. A group can be made by selecting multiple rows in the table using CTRL-Click or Shift-Click.
   o The iteration table view now shows the values of each iterated item in the row.
   o Disruption Unit iteratior for single element phases are implemented.  Amplitudes and positions to follow soon.
   o Plates can be pulled from a vertically oriented image now (Complex Face in the VB6 model).
   o Started implementing the report for ILS2, -- Structure Below Path is working, still working on symmetry, angle, and width.
----------
Updates in 1570
   BUG FIXES
   ----------
   o USB Polling Fix. Unexpected "USB Removed" errors should not occur any more. If this does occur, please click the "Report Issue" button and send a report.
   o Improvements to the 3D World Viewer. Localizer and Glideslope are very feature complete. VOR and DME are still undergoing feature addition.
----------
Updates in 1565
   BUG FIXES
   ----------
   o conversions between decibels and normalized power for VOR Signal Strength plots should work better
   o saved graphs should load more consistantly now
   o fixed issue with "Issue Reporter" where being far away from Athens, OH caused the report to fail.
   o fixed bug where loading a User Defined DME Flight path doesn't always sync properly with the GUI Defined Table...
   o Fix for USB Dongle Polling error...
   NEW FEATURES
   ----------
   o Traces with different unit types (for instance microamps and decibels) now plot on seperate traces.
   o The adjust axes pop-up has separate tabs or each trace unit.

----------
Updates in 1530
   BUG FIXES
   ----------
   o Added Glideslope visualization based on antenna/element settings
   o Improved the Localizer visualization for course and clearance array
   o VOR "Fixed Flight Path" should now plot properly. This was a bug preventing proper plotting.
   o Redesigned DME GUI that enables users to select an antenna array. This is not yet fully functional, but will be shortly.
   o DME can now switch between DME N and DME P.
   o "Calc" button for Glideslope now computes the course width as 0.24 x glide path angle. This is under the traces tab.
----------
Updates in 1509
   BUG FIXES
   ----------
   o Added in new 3D World Navigation Window called "Show 3D Navigator"
   o Flight parameters now have a Domain Variable (X,Y,Z, Range, Azimuth, Elevation) to define X-Axis for plots for Localizers and Glideslopes.
   o Glideslope "Calc Crs Width" is now computed by multiplying .24 times the Glide Path Angle.
   o flt files now properly output domain variable for use by DLL.
   o Velocities are now always in knots
   o altitude is now always in feet (instead of meters)
   o input files now ignore \r\n and treat as \n
----------
Updates in 1484
   BUG FIXES
   ----------
   o Localizer Array info for the course and clearance parameters are now preserved when switching the array type. The element type may get changed back to LPD, but the following values are preserved setback (CLR and CRS), offset (CLR and CRS), height (CLR and CRS), array rotation (CLR and CRS), antenna rotation (CLR and CRS), clearance widthDeg (CLR), CLR/CRS separation (CLR)...
   o fixed bug where localizer antenna rotation for course and clearance may not load properly from a .dat file...
   o JCCBI will now properly populate the Course and Clearance array params after applying a JCCBI datasheet...
----------
Updates in 1476
   BUG FIXES
   ----------
   o Fixed plotting error which caused the DME simulation to always read 0% and not generate proper output.
----------
Updates in 1464
   o Wire scatterers and the corresponding editors now exist for Localizer, Glideslope, and VOR models.
   o Wires can be edited in LTP space, Lat/Lng, Rng/Bng in the same way as plate scatterers.
   o reorganized the plots into separate filters
   o better support for multiple axes that have different meanings but the same units
----------
Updates in 1417
 BUG FIXES
   ----------
   o fixed an error where the Alford Loop Doppler was crashing randomly

Updates in 1411
   o Added client-side SSL debug output to help troubleshoot SSL Authentication issues.

----------
Updates in 1396
   BUG FIXES
   ----------
   o VOR Flight Paths now use the VOR reference frame where the green Y-axis is north (0 deg) and the red X-axis is east (90 deg)
   o Fixed issue where VOR Scatterer Rotations may have been incorrect.
   o Fixed bug where 64 bit machine running 32 bit java JVM failed to load properly use 32-bit VOR dll.
   o Fixed issue where an exception was thrown when creating a new VOR if an existing VOR had multiple flight paths and the index > 0 was selected.
   o Mhz is now MHz
   o 32-bit Java JREs running on a 64-bit machine should now be able to use the .dlls
   o VOR Physical Alford Loop should no longer randomly crash
   o The use of the two VOR models is now Trace Specific

----------
Updates in 1386
   BUG FIXES
   ----------
   o Better error messaging popups should be shown when something goes wrong.
   o The lucky charms legends should now include the icon for 95% rule.
   o Negative iterator increments should no longer cause infinite loops.
   o The checked flight segments in VOR traces should now persist when re-entering the trace tab.
   NEW FEATURES
   ----------
   o Iteration Plots should now default to a selection that shows the maximum values from all zones.
   o Units should now persist for each type of plot, e.g. if you open a ILS3 Approach Plot and change the x-axis from Nautical Miles to Feet, the next plot will start with x-axis in feet.
   
----------
Updates in 1376   
   BUG FIXES
   ----------
   o VOR scatterer heights convert types (DONE)
   o Prompts for User-Defined Flight Path saving is now only when necessary.
   o Selected Units (feet or meters) now persist through application restarts.
   o "Calc Crs" button under the "Traces" Tab in the "Output" frame now works properly when the "Use Cls/Crs" is set to "Course" or "Both"
   o "Slice" has been removed from the ILS 1 Approach / Orbit.
   o Megahertz is now abbreivated as Mhz instead of mhz, except in DME, where further testing is needed.
   
   NEW FEATURES
   ----------
   o "Report Issue" button on main toolbar now lets a user automatically send an issue report to the development team. After encountering an ERROR or ISSUE, simply press that button (Before exiting OUNPPM) and type a brief description of the issue. The corresponding log files leading up to the issue will automatically be sent aiding the development team's efforts to fix the ERROR or ISSUE.
   
   o SHORTCUT KEY CRTL-F changes units to feet
   o SHORTCUT KEY CRTL-M changes units to meters
      
   o "View New Features" Button inside the "Updates" window now explains all updates / changes / additions made at each update. Use this to remain apprised of updates.
   
----------
Updates in 1363
   o adding in change log...
   o polling is now renabled, but sessions are torn down each time so the issue where the "Insert USB dongle" continually appears should be fixed...
----------
Updates in 1362
   o added intelligent file chooser that remembers most recently used file based on file filter...
   o integrated into the NAVAIDView and SGEditor...
----------
Updates in 1361
   o Trace parameters wont cause exception when creating new model and a trace previously existed...
   o Localizer Array Editor now contains Course / Clearance Separation...
----------
Updates in 1355   
   o fixed issue where VOR Scatterer Editor would not properly display the "height". This did not affect the actual value, the table incorrectly always displayed an off-by-one value because of the "Ground Plane CheckBox" in column 6 of the table.
----------